Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.eway
Class BatchSCPManagedConnection

    java.lang.Object
      com.stc.connector.framework.jca.system.STCManagedConnection
          com.stc.connector.batchadapter.eway.BatchSCPManagedConnection

All Implemented Interfaces:
  com.stc.connector.framework.eway.ManagedConnectionCallback, java.io.Serializable, javax.resource.spi.ManagedConnection

    public class BatchSCPManagedConnection

extends com.stc.connector.framework.jca.system.STCManagedConnection

See Also:
  Serialized Form

Constructor Summary
`BatchSCPManagedConnection(com.stc.connector.framework.jca.system.STCManagedConnectionFactory mcf, javax.security.auth.Subject subject, com.stc.connector.framework.util.ConfigurationHelper aConnectionConfiguration)`

Method Summary

Methods inherited from class com.stc.connector.framework.jca.system.STCManagedConnection
`addConnectionEventListener, addConnectionHandle, associateConnection, cleanup, createMBean, destroy, getConnection, getConnectionHandleCount, getEwayConnection, getLocalTransaction, getLogWriter, getManagedConnection, getManagedConnectionFactory, getMetaData, getXAResource, isValidConnection, matchConnection, notifyConnectionEvent, postDestroy, preDestroy, removeConnectionEventListener, removeConnectionHandle, setLogWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchSCPManagedConnection

    public BatchSCPManagedConnection(com.stc.connector.framework.jca.system.STCManagedConnectionFactory mcf,
                                     javax.security.auth.Subject subject,
                                     com.stc.connector.framework.util.ConfigurationHelper aConnectionConfiguration)
                              throws javax.resource.ResourceException

Throws:
  `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD